package cn.quantgroup.xyqb.service.page.bean;

import cn.quantgroup.xyqb.entity.User;

/**
 * Created by Miraculous on 2017/1/3.
 */
public abstract class BasePageType {
    protected String name;
    protected Boolean needShow;

    public BasePageType(String name, Boolean needShow) {
        this.name = name;
        this.needShow = needShow;
    }

    public abstract boolean canPass(User user);

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getNeedShow() {
        return needShow;
    }

    public void setNeedShow(Boolean needShow) {
        this.needShow = needShow;
    }
}
